@font-face {
    font-family: 'robotoregular';
    src: url('roboto-regular-webfont.woff2') format('woff2'),
         url('roboto-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

blockquote {
  border-left: 0.2em solid #326681;
  font-style: italic;
  margin-left: 20px;
  padding-left: 1em;
}

blockquote footer {
    color: #326681;
    font-size: 85%;
    font-style: normal;
    font-weight: bold;
    text-align: right;
}

/*#region Links*/

a { text-decoration: none; }

p a { text-decoration: underline; }

a:link, a:visited {
  color: rgb(41, 41, 41);
  fill: rgb(41, 41, 41);
}

a:hover, a:active {
  color: #3E606F;
  fill: #3E606F;
}

nav a:link, nav a:visited {
  color: #FCFFF5;
  fill:  #FCFFF5;
}

nav a:hover, nav a:active {
  color: #3E606F;
  fill: #3E606F;
}

.nav-link {
  padding: 10px 0px;
  display: block;
}

.nav-link-s {
  padding: 5px 0px;
  display: block;
}

.nav-link-icon {
  width: 16px;
  height: 16px;
  margin-right: 10px;
}

.page-nav-button {
  color: #193441;
  font-size: 20px;
  padding: 5px 10px;
  text-decoration: none;
}

.page-nav-button:link, .page-nav-button:visited, .page-nav-button:hover, .page-nav-button:active  { color: #193441; }

/*#endregion*/

.intro-header {
  margin-top: 0px;
}

h1 + p, h2 + p, h3 + p, h4 + p {
  margin-top: 0px;
}

h1, h2, h3, h4 {
  margin: 2em 0em 0em 0em;
}

.about-me {
  margin-bottom: 2.125rem;
}

li {
  margin: 7px;
}

.no-margin {
  margin: 0px !important;
}

.page-nav-label {
  grid-column: 2 / 3;
  font-size: 14px;
  color: #555555;
}

.page-nav {
  align-items: center;
  display: grid;
  grid-template-columns: 1fr max-content 1fr;
  gap: 1rem;
  justify-items: center;
}

.post {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-direction: column;
  margin-bottom: 2rem;
}

.post-content {
    line-height: 1.7;
    margin-top: -7px;
}

.post-description {
  color: #999999;
  font-size: 15px;
  font-style: italic;
  margin-top: 1px;
  margin-bottom: 1rem;
}

.post_figure {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  height: auto;
}

.post_figure_s {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 30%;
  height: auto;
}

.post_figure_description {
  text-align: center;
}

.post-img {
  margin: 0px 30px 5px 0px;
  width: 200px;
  height: 200px;
  float: left;
}

.badge-container {
  margin: 50px 0px 0px 0px;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.badge-img {
  width: 200px;
  height: 200px;
  margin: 0px 10px 0px 10px;
}

.post-title {
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  margin-top: 0px;
  margin-left: 0px;
  margin-right: 0px;
}

.post-title-container {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
}

.github-icon {
  width: 32px;
  height: 32px;
}

.github-link {
  margin: 0px 0px 0px 20px;
}

.row-container {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
}

.post-toc {
  background: #ebebeb;
  width: 400px;
  padding: 0px 0px 10px 20px;
}

.post-toc-h3 {
  list-style-type: lower-alpha;
}

.post-toc-h4 {
  list-style-type: lower-roman;
}

.scrollable {
  overflow: auto;
}

.site-body {
    color: rgb(41, 41, 41);
    font-family: 'robotoregular', sans-serif;
    font-size: 17px;
    display: grid;
    grid-template-columns: 1fr minmax(200px, 600px) 1fr;
    gap: 2rem;
}

.site-description {
  color: #999999;
  font-size: 20px;
  margin-top: 1px;
}

.feedback-separator {
  width: 100%;
  margin: 10px 0px;
  border-top: #999 solid 1px;
  border-left: none;
  border-right: none;
  border-bottom: none;
}

.site-footer {
    grid-column: 2 / 3;
    grid-row: 3 / 4;
    font-size: 85%;
    margin-bottom: 2.5rem;
    text-decoration: none;
}

.site-header {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    grid-column: 2 / 3;
    grid-row: 1 / 2;
    margin: 2rem;
    text-align: center;
}

.site-main {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    margin-bottom: 2rem;
}

.tag-container {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-direction: row;
  align-content: space-between;
  flex-wrap: wrap;
}

.tag-item {
  margin: 5px 7.5px 0px 0px;
}

.site-nav-container {
  color: #FCFFF5;
  align-content: space-between;
  background: #193441;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-direction: column;
  bottom: 0;
  left: 0;
  top: 0;
  overflow: auto;
  position: fixed;
  width: 15rem;
  padding: 2rem 1rem;
}

.site-nav-category {
  padding: 10px 25px;
}

.site-title {
  font-size: 40px;
  font-weight: bold;
  text-decoration: none;
}

table, td, th {
  border: 1px solid black;
  padding: 5px;
}

table {
  border-collapse: collapse;
  width: 100%;
}

/*#region Links*/

.code {
  font-family: Courier New;
  background: #F2F2F2;
  padding: 5px 10px;
  border-radius: 10px;
}

/* xaml */
.xaml-bl { color: blue; }

.xaml-br { color: #A31515; }

.xaml-green { color: #008000; }

.xaml-red { color: red; }

/* C */
.c-kw {
  color: #0000A0;
  font-weight: bold;
}

.c-c { color: #A0A0A0; }

/* C# */
.cs-kw { color: blue; }

.cs-class { color: #2B91AF; }

/* terminal */
.console-red { color: #E73628; }

.console-blue { color: #1547DC; }

/*#endregion*/

.post-link-img {
  width: 100%;
  height: auto;
}

@media screen and (max-width: 1280px) {
  .site-header {
    margin-top: 2rem;
    margin-left: 0px;
    margin-right: 0px;
    margin-bottom: 2rem;
  }

  .site-body {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    margin: 0px 2rem;
    gap: unset;
  }

  .site-nav-container {
	padding: 0px;
	position: static;
    width: 100%;
  }

  .site-footer {
    text-align: center;
    margin: 2rem 0px;
  }
}

@media screen and (max-width: 640px) {
  .post-img {
    float: none;
    align-self: center;
    width: 80%;
    height: auto;
    margin: 0px 0px 1rem 0px;
  }

  .flex-post {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
  }

  .post {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    margin-bottom: 2rem;
  }

  .about-me {
    align-self: center;
  }
}
